libqalculate-0.9.8

- Main Page
- Classes
- Files

- File List
- File Members

Functions
util.h File Reference
`#include <libqalculate/includes.h>`

## Functions
string & | gsub (const string &pattern, const string &sub, string &str)
string & | gsub (const char *pattern, const char *sub, string &str)
string | d2s (double value, int precision=100)
string | i2s (int value)
string | i2s (long int value)
string | i2s (unsigned int value)
string | i2s (unsigned long int value)
const char * | b2yn (bool b, bool capital=true)
const char * | b2tf (bool b, bool capital=true)
const char * | b2oo (bool b, bool capital=true)
string | p2s (void *o)
int | s2i (const string &str)
int | s2i (const char *str)
void * | s2p (const string &str)
void * | s2p (const char *str)
string | date2s (int year, int month, int day)
int | week (string str, bool start_sunday=false)
int | weekday (string str)
int | yearday (string str)
void | now (int &hour, int &min, int &sec)
void | today (int &year, int &month, int &day)
bool | addDays (int &year, int &month, int &day, int days)
string | addDays (string str, int days)
bool | addMonths (int &year, int &month, int &day, int months)
string | addMonths (string str, int months)
bool | addYears (int &year, int &month, int &day, int years)
string | addYears (string str, int years)
bool | s2date (string str, int &year, int &month, int &day)
bool | s2date (string str, void *gtime)
bool | isLeapYear (int year)
int | daysPerYear (int year, int basis=0)
int | daysPerMonth (int month, int year)
Number | yearsBetweenDates (string date1, string date2, int basis, bool date_func=true)
int | daysBetweenDates (string date1, string date2, int basis, bool date_func=true)
int | daysBetweenDates (int year1, int month1, int day1, int year2, int month2, int day2, int basis, bool date_func=true)
size_t | find_ending_bracket (const string &str, size_t start, int *missing=NULL)
char | op2ch (MathOperation op)
string & | wrap_p (string &str)
string & | remove_blanks (string &str)
string & | remove_duplicate_blanks (string &str)
string & | remove_blank_ends (string &str)
string & | remove_parenthesis (string &str)
bool | is_in (const char *str, char c)
bool | is_not_in (const char *str, char c)
bool | is_in (const string &str, char c)
bool | is_not_in (const string &str, char c)
int | sign_place (string *str, size_t start=0)
int | gcd (int i1, int i2)
size_t | unicode_length (const string &str)
size_t | unicode_length (const char *str)
bool | text_length_is_one (const string &str)
bool | equalsIgnoreCase (const string &str1, const string &str2)
bool | equalsIgnoreCase (const string &str1, const char *str2)
void | parse_qalculate_version (string qalculate_version, int *qalculate_version_numbers)
string | getOldLocalDir ()
string | getLocalDir ()
string | getLocalDataDir ()
string | getLocalTmpDir ()
bool | move_file (const char *from_file, const char *to_file)